after DA installation problem with vim libz.so.1

greenm

Verified User
Joined
Jul 11, 2006
Messages
38
After alot of testing i need to come to the conclusion that
the installation of directadmin screws up something.

after starting vim i get this:

vim: /usr/local/lib/libz.so.1: no version information available (required by /usr/lib/libpython2.6.so.1.0)

Which only appears after the installation of directadmin.
I install the custombuild 1.1 and everything default

My server runs ubuntu 10.10 64 bit which works perfectly with DA
which i need to compliment DA for.

But i really would like to see this fixed, i cant find anything on google about this.

Thanks in advance.
 

scsi

Verified User
Joined
Aug 19, 2008
Messages
4,695
What if you type:

aptitude update
aptitude reinstall vim
 

greenm

Verified User
Joined
Jul 11, 2006
Messages
38
What if you type:

aptitude update
aptitude reinstall vim
I tried that, but still:

vim: /usr/local/lib/libz.so.1: no version information available (required by /usr/lib/libpython2.6.so.1.0)
 

scsi

Verified User
Joined
Aug 19, 2008
Messages
4,695
You might have to email DirectAdmin Support if you think that it happens after a directadmin install.

It might be a conflict if you have :

/lib/libz.so.1 and /usr/local/lib/libz.so.1

You will have to verify first if you have a libz.so.1 in the /lib folder.

Type:

ls -lah /lib/libz.so.1

If the file exists and looks like: /lib/libz.so.1 -> libz.so.1.2.3.4

I would do:

rm -rf /usr/local/lib/libz.so.1
ln -s /lib/libz.so.1.2.3.4 /usr/local/lib/libz.so.1

This is what I have on my Ubuntu 10.10 64 bit server.
 

greenm

Verified User
Joined
Jul 11, 2006
Messages
38
You might have to email DirectAdmin Support if you think that it happens after a directadmin install.

It might be a conflict if you have :

/lib/libz.so.1 and /usr/local/lib/libz.so.1

You will have to verify first if you have a libz.so.1 in the /lib folder.

Type:

ls -lah /lib/libz.so.1

If the file exists and looks like: /lib/libz.so.1 -> libz.so.1.2.3.4

I would do:

rm -rf /usr/local/lib/libz.so.1
ln -s /lib/libz.so.1.2.3.4 /usr/local/lib/libz.so.1

This is what I have on my Ubuntu 10.10 64 bit server.

Wow thanks for your reply scsi, this is exactly what i needed and i agree that it might be also a problem with both the zlib locations.

I think my problem was that /usr/local/lib/libz.so.1 was linked to /usr/local/lib/libz.so.1.2.3
This libz is a different version then libz.so.1.2.3.4
This file might be overwritten by the directadmin install and i believe it could be the curl,mcrypt or mhash package but im not sure.

The libz.so.1.2.3 supposed to be patched? and doesnt give its version number which i've read somewhere which explains the error:

no version information available.

The 1.2.3.4 version i've copied from another ubuntu installation and now its working fine.

Strange stuff indeed but its fixed now and my vim and svn are working normal again.

I hope this helps other people
 
Top